Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.quentli.com/v1/workflows/{id}/runs \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.quentli.com/v1/workflows/{id}/runs" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.quentli.com/v1/workflows/{id}/runs', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.quentli.com/v1/workflows/{id}/runs", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.quentli.com/v1/workflows/{id}/runs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.quentli.com/v1/workflows/{id}/runs") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.quentli.com/v1/workflows/{id}/runs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
[ { "id": "wfr_1234567890abcdefghij", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "organizationId": "<string>", "workflowVersionId": "<string>", "activeInputKey": "<string>", "startedBy": "INVOICE_CREATED", "status": "RUNNING", "startedAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z", "canceledAt": "2023-11-07T05:31:56Z", "failedAt": "2023-11-07T05:31:56Z" } ]
{ "error": { "message": "<string>" } }
Returns a workflow’s runs, most recent first.
Organization API key using Authorization: Bearer sk_....
Authorization: Bearer sk_...
Identifier of the workflow.
Pagination offset.
x >= 0
0
Pagination limit.
1 <= x <= 100
20
Workflow runs
Unique identifier of the workflow run.
"wfr_1234567890abcdefghij"
Workflow version that ran.
What started the run.
INVOICE_CREATED
INVOICE_RESTORED
COLLECTION_METHOD_CHANGED
REPAIR
Run status.
RUNNING
COMPLETED
FAILED
CANCELED
Was this page helpful?